ข้ามไปยังเนื้อหา

Vidu · Q3 · Reference to Video · Mix

ผสานการทำงาน

ID โมเดล vidu/q3/reference-to-video/mix
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/reference-to-video/mix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.77 770 เครดิต API · ≈ ₽82.84 เรียกใช้ในหน้านี้

รับคีย์ API
Vidu ภาพอ้างอิงเป็นวิดีโอ อินพุตอ้างอิง1–16 sสูงสุด 1080p

Q3 reference-to-video ที่ใช้ภาพอ้างอิง 1-4 ภาพ อัตราส่วนภาพ 5 แบบ ความยาวสูงสุด 16 วินาที พร้อมเสียง

Vidu · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 2000

คำสั่งข้อความสำหรับสร้างวิดีโอ จำกัดไม่เกิน 2000 อักขระ

•จำเป็น reference_image_urls
วางไฟล์ หรือ

ข้อมูลอ้างอิงความสม่ำเสมอของวัตถุหรือฉาก ซึ่งระบุเป็น URL รูปภาพจำนวน 1 ถึง 4 รูป

aspect_ratio ค่าเริ่มต้น 16:9

อัตราส่วนภาพของวิดีโอเอาต์พุต

resolution ค่าเริ่มต้น 720p

ความละเอียดของวิดีโอผลลัพธ์

ค่าเริ่มต้น 5

ความยาววิดีโอเป็นวินาที อยู่ในช่วง 1 ถึง 16 สำหรับโมเดล Q3

ขั้นสูง seed · audio

Seed ที่ทำให้การสร้างได้ผลลัพธ์ซ้ำเดิม การตั้งค่าเป็น None จะสุ่มเลือก seed

POST /run/vidu/q3/reference-to-video/mix?wait=20 ใบเสนอราคา → $0.77
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/reference-to-video/mix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Vidu · Q3 · Reference to Video · Mix

สร้างวิดีโอจาก `prompt` ที่จำเป็น (สูงสุด 2000 อักขระ) และ `reference_image_urls` จำนวน 1 ถึง 4 รายการ เพื่อรักษาความสอดคล้องของวัตถุหรือฉาก `duration` อยู่ที่ 1-16 วินาที `resolution` ตั้งแต่ 360p ถึง 1080p และ `aspect_ratio` คือ 16:9, 9:16, 4:3, 3:4 หรือ 1:1 `audio` เปิดใช้งานเป็นค่าเริ่มต้น

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 2,000 อักขระ
คำสั่งข้อความสำหรับสร้างวิดีโอ จำกัดไม่เกิน 2000 อักขระ
reference_image_urlsจำเป็น images
ประเภทurl[] · image
ข้อมูลอ้างอิงความสม่ำเสมอของวัตถุหรือฉาก ซึ่งระบุเป็น URL รูปภาพจำนวน 1 ถึง 4 รูป
durationไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น5
1 – 16
ความยาววิดีโอเป็นวินาที อยู่ในช่วง 1 ถึง 16 สำหรับโมเดล Q3
seedไม่บังคับ
ประเภทinteger | null
Seed ที่ทำให้การสร้างได้ผลลัพธ์ซ้ำเดิม การตั้งค่าเป็น None จะสุ่มเลือก seed
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น16:9
16:99:164:33:41:1
อัตราส่วนภาพของวิดีโอเอาต์พุต
resolutionไม่บังคับ
ประเภทenum
ค่าเริ่มต้น720p
360p540p720p1080p
ความละเอียดของวิดีโอผลลัพธ์
audioไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สร้างเสียงไปพร้อมกับวิดีโอผ่านการสร้างเสียงและวิดีโอโดยตรง โดยตั้งค่านี้เป็น true
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vidu/q3/reference-to-video/mix",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 770,
    "usd": "0.77",
    "charged": 770,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}วิดีโอที่สร้างโดยโมเดล Q3 โดยใช้รูปภาพอ้างอิง

โมเดลเพิ่มเติม: ภาพอ้างอิงเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/vidu/q3/reference-to-video/mix.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt